<?php
/**
 * Aliases for Special:ArticleFeedbackv5
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'ArticleFeedbackv5' => [ 'ArticleFeedbackv5' ],
	'ArticleFeedbackv5Watchlist' => [ 'ArticleFeedbackv5Watchlist' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'ArticleFeedbackv5' => [ 'تعليقات_المقالات_ن5' ],
	'ArticleFeedbackv5Watchlist' => [ 'قائمة_مراقبة_تعليقات_المقالات_ن5' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'ArticleFeedbackv5' => [ 'كومنتات_المقالات_فى5' ],
	'ArticleFeedbackv5Watchlist' => [ 'قايمه_مراقبه_كومناتا_المقالات_فى5' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'ArticleFeedbackv5' => [ 'مقاله_ئی_پدوارت_و_۵' ],
	'ArticleFeedbackv5Watchlist' => [ 'مقاله_ئی_پدوارت_و_پدگیری_ئی_۵' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'ArticleFeedbackv5' => [ '文章回饋' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'ArticleFeedbackv5' => [ 'Artikelrückmeldungen_v5' ],
	'ArticleFeedbackv5Watchlist' => [ 'Artikelrückmeldungen_v5_Beobachtungsliste' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'ArticleFeedbackv5' => [ 'PeydrıştenaWesiqanv5' ],
	'ArticleFeedbackv5Watchlist' => [ 'PeydrıştenaWesiqanv5Listaseyri' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'ArticleFeedbackv5' => [ 'Prisondo_de_artikoloj_v5' ],
	'ArticleFeedbackv5Watchlist' => [ 'Atentaro_de_prisondo_de_artikoloj_v5' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'ArticleFeedbackv5' => [ 'بازخورد_مقاله_و۵' ],
	'ArticleFeedbackv5Watchlist' => [ 'بازخورد_مقاله_و۵_فهرست_پیگیری‌ها' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'ArticleFeedbackv5' => [ 'Avaliación_de_artigos_v5' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'ArticleFeedbackv5' => [ 'FeedbackVocev5' ],
	'ArticleFeedbackv5Watchlist' => [ 'FeedbackVocev5OsservatiSpeciali' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'ArticleFeedbackv5' => [ '문서피드백v5' ],
	'ArticleFeedbackv5Watchlist' => [ '문서피드백v5주시문서목록', '문서피드백v5주시목록' ],
];

/** Cornish (kernowek) */
$specialPageAliases['kw'] = [
	'ArticleFeedbackv5' => [ 'DaslivErthygelv5' ],
	'ArticleFeedbackv5Watchlist' => [ 'DaslivErthygelv5RolWolya' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'ArticleFeedbackv5' => [ 'Artikel-Feedback_Versioun_5' ],
	'ArticleFeedbackv5Watchlist' => [ 'Artikel-Feedback_Versioun_5_Iwweerwaachungslëscht' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'ArticleFeedbackv5' => [ 'پوشت_راس_کار_حأڤال_حوٙن_گوتار_نوسقە_۵' ],
	'ArticleFeedbackv5Watchlist' => [ 'سئیل_بأرگ_پوشت_راست_کار_حأڤال_حوٙن_گوتار_نوسقە_۵' ],
];

/** Malagasy (Malagasy) */
$specialPageAliases['mg'] = [
	'ArticleFeedbackv5' => [ 'Verimpahandahatsoratrav5' ],
	'ArticleFeedbackv5Watchlist' => [ 'LisipanarahanaVerimpahandahatsoratrav5' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'ArticleFeedbackv5' => [ 'ОценувањеНаСтатиив5' ],
	'ArticleFeedbackv5Watchlist' => [ 'ОценувањеНаСтатиив5Набљудувања' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'ArticleFeedbackv5' => [ 'ലേഖനത്തിനുള്ളപ്രതികരണംപ5' ],
	'ArticleFeedbackv5Watchlist' => [ 'ലേഖനത്തിനുള്ളപ്രതികരണംപ5ശ്രദ്ധിക്കുന്നപട്ടിക' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'ArticleFeedbackv5' => [ 'Artikkeltilbakemelding_v5' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'ArticleFeedbackv5' => [ 'Terugkoppelingv5' ],
	'ArticleFeedbackv5Watchlist' => [ 'Terugkoppelingv5_volglieste' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'ArticleFeedbackv5' => [ 'Terugkoppelingv5' ],
	'ArticleFeedbackv5Watchlist' => [ 'Terugkoppelingv5Volglijst' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'ArticleFeedbackv5' => [ 'FeedbackVocev5' ],
	'ArticleFeedbackv5Watchlist' => [ 'FeedbackVocev5OsservatiSpeciali' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'ArticleFeedbackv5' => [ 'Tugon_sa_Artikulo_v5' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'ArticleFeedbackv5' => [
		'MaddeDeğerlendirmesis5',
		'MaddeDeğerlendirmesiv5',
		'MaddeDeğerlendirmes5',
		'MaddeDeğerlendirmev5',
		'MaddeGeribildirimis5',
		'MaddeGeribildirimiv5',
	],
	'ArticleFeedbackv5Watchlist' => [
		'MaddeDeğerlendirmesis5İzlemeListesi',
		'MaddeDeğerlendirmesiv5İzlemeListesi',
		'MaddeDeğerlendirmes5İzlemeListesi',
		'MaddeDeğerlendirmev5İzlemeListesi',
		'MaddeGeribildirimis5İzlemeListesi',
		'MaddeGeribildirimiv5İzlemeListesi',
	],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'ArticleFeedbackv5' => [ 'Phản_hồi_bài_v5' ],
	'ArticleFeedbackv5Watchlist' => [ 'Danh_sách_theo_dõi_Phản_hồi_bài_v5' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'ArticleFeedbackv5' => [ '条目反馈v5' ],
	'ArticleFeedbackv5Watchlist' => [ '条目反馈v5监视列表' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'ArticleFeedbackv5' => [ '條目意見回饋v5' ],
	'ArticleFeedbackv5Watchlist' => [ '條目意見回饋v5監視清單' ],
];
